Bug 1008906 - Some serious log messages don't have id to identify them - JBoss Web
Some serious log messages don't have id to identify them - JBoss Web
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR1
: EAP 6.4.0
Assigned To: Rémy Maucherat
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 06:21 EDT by Petr Kremensky
Modified: 2017-10-09 20:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-17 06:21:52 EDT
According to https://issues.jboss.org/browse/ANDIAMO-7 all serious log messages should have a unique code that can be used to identify them.
As a part of logging unification tests for EAP I found:
jboss-web/src/main/java/org/apache/catalina/valves/PersistentValve.java
 - 118   container.getLogger().error("deserializeError")
jboss-web/src/main/java/org/apache/catalina/session/StoreBase.java
 - 181   manager.getContainer().getLogger().error("Error getting keys", e);
jboss-web/src/main/java/org/jboss/web/php/ScriptEnvironment.java
 - 366   log.error("Invalid script names");

version: JBOSSWEB_7_2_2_FINAL
Comment 1 Rémy Maucherat 2014-01-10 10:09:59 EST
r2337
Comment 2 Kabir Khan 2014-12-05 08:04:01 EST
Since this appears to have been part of 6.3.0, I am setting to ON_QA for 6.4.0
Comment 3 Nikoleta Ziakova 2014-12-09 09:30:13 EST
There are some suspicious logs, but they all seem OK:

src/main/java/org/apache/catalina/core/ApplicationContext.java
 - 687   context.getLogger().error(message, exception);
 - 700   context.getLogger().error(message, throwable);
src/main/java/org/apache/catalina/authenticator/FormAuthenticator.java
 - 381   CatalinaLogger.AUTH_LOGGER.warn(msg, t);
 - 411   CatalinaLogger.AUTH_LOGGER.warn(msg, t);

Verified with EAP 6.4.0.DR12.

Note You need to log in before you can comment on or make changes to this bug.